<?php

$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);

$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

$now = QDateTime::Now();

$tableName = 'Activity';

$arrCondition = array();
$arrCondition[] = QQ::Equal(QQN::$tableName()->State,'A');
$arrCondition[] = QQ::GreaterOrEqual(QQN::$tableName()->ActivityDateTime, $objMinDate);
$arrCondition[] = QQ::LessOrEqual(QQN::$tableName()->ActivityDateTime, $objMaxDate);

// $arrCondition[] = QQ::Equal(QQN::$tableName()->ActivityName, 'PEMBELIAN-LANGSUNG');
$arrCondition[] = QQ::Equal(QQN::$tableName()->Actor, 'LAB-PK');

$condition = QQ::AndCondition($arrCondition);
$totalData = $tableName::QueryCount($condition);
$arrReturn['recordsTotal'] = $totalData;
$arrReturn['recordsFiltered'] = $totalData;

$objClauses = array();

$objClauses[] = QQ::OrderBy(QQN::$tableName()->Id,'desc');

$arrData = array();
?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Laporan</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <!-- <link href="<?= __ASSETS__ ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet"> -->
    <style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: #f2f2f2;}

.table tr:hover {background-color: #ddd;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #222;
  color: white;
}

    </style>

</head>

<body>
<div class="noprint">
    <a href="#" onclick="window.close()">
    <img src="/promedika/assets/user/images/arrow.jpg" title="print" width="30" height="30">
    </a>
    <button onclick="ubahExcel()">Export Excel</button>
</div>


<div class="container" style="margin-top: 20px; padding: 20px 40px">

<table id="tableLaporan" class="table">
      <tr>
            <th colspan="11">Laporan Detail Pemeriksaan</th>
      </tr>
      <tr>
            <th></th>
            <th>PERIODE:</th>
            <th colspan="9" style="text-align: left"><?= $objGet->range ?></th>
      </tr>
<?php
if($arrRecords = $tableName::QueryArray($condition,$objClauses))
{
    $no = 1;
    $totalKeseluruhan = 0;
	foreach($arrRecords as $objRecord)
	{
?>
        <tr>
            <th colspan="11" style="background-color: white; color: black;"></th>
      </tr>
      <tr>
        <th colspan="2" style="text-align: left">NAMA PASIEN</th>
        <th colspan="1" style="text-align: left"><?= $objRecord->RelationName ?></th>
        <th></th>
        <th colspan="1" style="text-align: left">NAMA UNIT PELAYANAN</th>
        <th colspan="1" style="text-align: left"><?= $objRecord->RelationDepartmentName ?></th>
      </tr> 
      <tr>
        <th colspan="2" style="text-align: left">NO RM</th>
        <th colspan="1" style="text-align: left"><?= $objRecord->RelationCode ?></th>
        <th></th>
        <th colspan="1" style="text-align: left">TANGGAL PERIKSA</th>
        <th colspan="1" style="text-align: left"><?= $objRecord->CreateTime->PhpDate('d-m-Y') ?></th>
      </tr>
      <tr>
        <th>No</th>
        <th>Kode Pemeriksaan</th>
        <th>Nama Pemeriksaan</th>
        <th>Kelas</th>
        <th>Qty</th>
        <th>Harga</th>
      </tr>  


<?php
      //------------------START - mencari rincian pembelian------------------------
        $objDb = QApplication::$Database[1]; //activity_nursing_adm_blling
        $strSQL = "
                SELECT *
                FROM activity_nursing_adm_billing
                WHERE
                    activity_id = '$objRecord->Id'
                    AND on_timeline BETWEEN '" . $objMinDate->PhpDate('Y-m-d H:i:s') . "' AND '" . $objMaxDate->PhpDate('Y-m-d H:i:s') . "'
            ";
        $objDbResult = $objDb->Query($strSQL);
        $nomor = 1;
        $subTotal = 0;
        while ($row = $objDbResult->FetchArray()) {
            $subTotal += round($row['current_price'],2);
            $totalKeseluruhan += round($row['current_price'],2);
?>
            <tr>
                <td><?= $nomor++ ?></td>
                <td><?= $row['product_code'] ?></td>
                <td><?= $row['product_name'] ?></td>
                <td><?= $row['nursing_class_description'] ?></td>
                <td><?= $row['quantity'] ?></td>
                <td style="text-align: right"><?= number_format($row['current_price'],2,",",".") ?></td>
            </tr>
<?php
        }
      //----------------------Stop--------------------------------------------------
?>
        <tr>
            <td></td>
            <td></td>
            <td><b>Sub Total</b></td>
            <td></td>
            <td></td>
            <td style="text-align: right"><?= number_format($subTotal,2,",",".") ?></td>
        </tr>
<?php
	}
}
?>
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td><b>TOTAL</b></td>
            <td></td>
            <td></td>
            <td style="text-align: right"><?= number_format($totalKeseluruhan,2,",",".") ?></td>
        </tr>   
</table>

</div>


<script src="<?= __ASSETS__ ?>/default/js/jquery-2.1.3.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/jquery.tableToExcel.js"></script>
<script>
function ubahExcel() {
    $('#tableLaporan').tblToExcel({
        complete: function () {
            // do something
            return true;
        }
    });
}
</script>
</body>
</html>
